Uses of Class
com.atlassian.jira.rest.api.util.StringList
Packages that use StringList
Package
Description
-
Uses of StringList in com.atlassian.jira.rest.api.util
Methods in com.atlassian.jira.rest.api.util that return StringListModifier and TypeMethodDescriptionStringList.extend(StringList stringList) Returns a new StringList containing the concatenation of this StringList's fields and the fields in the given string list.static StringListCreates a new StringList from an Iterable of strings.static StringListCreates a new StringList from an array of strings.static StringListStringList.fromQueryParam(String queryParam) Creates a new StringList from a query parameter.static StringListStringList.joinLists(List<StringList> stringLists) Returns a new StringList containing the concatenation of all of the StringLists in the given List.Methods in com.atlassian.jira.rest.api.util with parameters of type StringListModifier and TypeMethodDescriptionStringList.extend(StringList stringList) Returns a new StringList containing the concatenation of this StringList's fields and the fields in the given string list.Method parameters in com.atlassian.jira.rest.api.util with type arguments of type StringListModifier and TypeMethodDescriptionstatic StringListStringList.joinLists(List<StringList> stringLists) Returns a new StringList containing the concatenation of all of the StringLists in the given List. -
Uses of StringList in com.atlassian.jira.rest.v2.entity.property
Method parameters in com.atlassian.jira.rest.v2.entity.property with type arguments of type StringListModifier and TypeMethodDescriptionIssuePropertiesLoader.getProperties(ApplicationUser user, Issue issue, List<StringList> queryParam) PropertiesRestLoader.getProperties(ApplicationUser user, T entity, List<StringList> queryParam) -
Uses of StringList in com.atlassian.jira.rest.v2.issue
Method parameters in com.atlassian.jira.rest.v2.issue with type arguments of type StringListModifier and TypeMethodDescriptionjavax.ws.rs.core.ResponseIssueResource.getIssue(String issueIdOrKey, List<StringList> fields, String expand, List<StringList> properties, boolean updateHistory) Returns a full representation of the issue for the given issue key.static IncludedFieldsIncludedFields.includeAllByDefault(List<StringList> fields) static IncludedFieldsIncludedFields.includeNavigableByDefault(List<StringList> fields) static IncludedFieldsIncludedFields.nothingIncludedByDefault(List<StringList> fields) -
Uses of StringList in com.atlassian.jira.rest.v2.search
Methods in com.atlassian.jira.rest.v2.search with parameters of type StringListModifier and TypeMethodDescriptionprotected SearchResultsBeanSearchResource.asResultsBean(SearchResults<Issue> results, PagerFilter filter, IncludedFields fields, StringList expand, Set<String> warningMessages) Creates a SearchResultsBean suitable for returning to the client.javax.ws.rs.core.ResponseFilterResource.createFilter(FilterBean bean, javax.ws.rs.core.UriInfo uriInfo, StringList expand) Creates a new filter, and returns newly created filter.javax.ws.rs.core.ResponseFilterResource.editFilter(Long filterId, FilterBean bean, javax.ws.rs.core.UriInfo uriInfo, StringList expand) Updates an existing filter, and returns its new value.FilterResource.getFavouriteFilters(javax.ws.rs.core.UriInfo uriInfo, StringList expand) Returns the favourite filters of the logged-in user.javax.ws.rs.core.ResponseFilterResource.getFilter(Long id, javax.ws.rs.core.UriInfo uriInfo, StringList expand) Returns a filter given an idSearchResource.search(String jql, Integer startAt, Integer maxResults, Boolean validateQuery, List<StringList> fields, StringList expand) Searches for issues using JQL.Method parameters in com.atlassian.jira.rest.v2.search with type arguments of type StringListModifier and TypeMethodDescriptionSearchResource.search(String jql, Integer startAt, Integer maxResults, Boolean validateQuery, List<StringList> fields, StringList expand) Searches for issues using JQL.